## org.beepcore.beep.profile
Interface Profile

All Known Implementing Classes:
  EchoProfile, TLSProfile

public interface Profile

All profile implementations that register with this beep library must implement these methods.

Method Summary
`StartChannelListener` `init(java.lang.String uri, ProfileConfiguration config)` Initializes the profile and returns the `StartChannelListener` for `uri`.

Method Detail

### init

    public StartChannelListener init(java.lang.String uri,
                                     ProfileConfiguration config)
                              throws BEEPException

  Initializes the profile and returns the `StartChannelListener` for `uri`.

  Parameters:
    `uri` -
    `config` -
  Returns:
    The corresponding `StartChannelListener` for the specified uri.
  Throws:
    `BEEPException`

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.